1. Download our Official Android App: Forums for Android!

Support What exact version of google play services do I need?

Discussion in 'Android Help' started by Zimri, Apr 3, 2016.

  1. Zimri

    Zimri Lurker
    Thread Starter
    Rank:
    None
    Points:
    5
    Posts:
    2
    Joined:
    Apr 3, 2016

    Apr 3, 2016
    2
    0
    5
    Male
    Hello guys! I recently swapped my android tablet for a laptop and have been stuck with a kindle fire hd 7" (2nd generation).

    I installed many apks including the google play store and they all worked and I am able to install stuff from google play but my google play services kept crashing as I didn't have the right version so I removed it.

    The current build of the google play store I am using is 6.3.16.B-all [0] 2697688

    - p.s I am of course rooted :p

    - also incase this happens again in the future how can I find the right version of the google play services?

    BIG THANKS :)
     

    Advertisement

  2. Zimri

    Zimri Lurker
    Thread Starter
    Rank:
    None
    Points:
    5
    Posts:
    2
    Joined:
    Apr 3, 2016

    Apr 3, 2016
    2
    0
    5
    Male
    Bump.

    I restarted my kindle and now it isn't working -- woohoo! Can someone still help me figure out what version I need though?
     
  3. Parayilhussain

    Parayilhussain Android Enthusiast
    Rank:
    None
    Points:
    148
    Posts:
    394
    Joined:
    Oct 26, 2015

    Oct 26, 2015
    394
    106
    148
    Male
    Business
    Cochin

Share This Page

Loading...